MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000623XdebugFeature/Change requestpublic2010-09-28 12:492011-09-15 14:19
Reportermscheer 
Assigned Toderick 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000623: Static properties of a class can be evaluated only with difficulty
DescriptionXdebug lacks the evaluation of static class properties. But days of procedural programming had been slowly passing and in an OO-driven development this is a must have of debugger and ide!

In the past it had been a workaround to enable watches in Netbeans to have a look at static class properties. Cumbersome, but those watches made xdebug unstable and it often crashed. In Netbeans for this reason they are disabled by default.

Feature request http://bugs.xdebug.org/view.php?id=287 [^] is open since 2007-06-25.

In the mailing lists I read from Derick, 2009-12-01:
> This is not possible yet, but there is a feature request
http://xdebug.org/archives/xdebug-general/1687.html [^]

Please, PLEASE, tell us when this longingly awaited feature will be available.

Steps To Reproduce<?php

class testclass {
    static private $name;
    
    static public function show_name() {
        //do something with $name
        self::$name = "Sir John\n" . self::$name;
        return self::$name;
    }
}

echo testclass::show_name();

?>

To repro, but a breakpoint at line 9. The value of self::$name is not visible.
Additional InformationIntel x64
Netbeans 6.9.1
PHP Version 5.2.9 (xampp 1.7.1, Thread Safety enabled)
php_xdebug-2.1.0-5.2-vc6.dll
TagsNo tags attached.
Operating SystemWindows 7 (Windows NT 6.1 build 7600)
PHP Version5.2.9
Attached Files

- Relationships
has duplicate 0000287resolvedderick debugging static class variables 

-  Notes
(0001800)
derick (administrator)
2011-09-15 14:18

This feature has just been committed to GIT, for both Xdebug 2.1.3 and 2.2dev. Please test if you can!

- Issue History
Date Modified Username Field Change
2010-09-28 12:49 mscheer New Issue
2011-09-15 14:18 derick Note Added: 0001800
2011-09-15 14:19 derick Status new => closed
2011-09-15 14:19 derick Assigned To => derick
2011-09-15 14:19 derick Resolution open => fixed
2012-01-25 09:39 derick Relationship added has duplicate 0000287


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker